MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024424Community[OCCT] OCCT:Modeling Algorithmspublic2013-12-01 05:252017-09-04 18:20
ReporterAaron Michalk 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 6.5.5 
Target VersionFixed in Version[OCCT] 6.6.0 
Summary0024424: BRepAlgoAPI_Cut throws Standard_ConstructionError with disjoint, but adjacent solids
DescriptionExecuting BRepAlgoAPI_Cut with the solids from the attached file results in Standard_ConstructionError being thrown.
Steps To ReproduceTopoDS_Shape a, b;
BRep_Builder builder;
std::ifstream sa("a.brep");
std::ifstream sb("b.brep");
BRepTools::Read(a, sa, builder);
BRepTools::Read(b, sb, builder);
TopoDS_Shape c = BRepAlgoAPI_Cut(a, b);
TagsNo tags attached.
Test case numberbugs modalg_7 bug24424
Attached Fileszip file icon ab.zip (107,707 bytes) 2013-12-01 05:25

- Relationships

-  Notes
(0027016)
Aaron Michalk (reporter)
2013-12-01 06:27

To clarify, BRepAlgoAPI_Cut internally throws a Standard_ConstructionError, which is caught internally. This results in the operation being marked as NotDone.
(0068750)
git (administrator)
2017-07-26 18:21

Branch CR24424 has been created by apv.

SHA-1: 98359b165abc2579821713a2febec10e954f3079


Detailed log of new commits:

Author: apv
Date: Wed Jul 26 18:21:08 2017 +0300

    Test for 0024424: BRepAlgoAPI_Cut throws Standard_ConstructionError with disjoint, but adjacent solids
(0068751)
apv (tester)
2017-07-26 18:23

Dear BugMaster,

Problem described in issue is not reproduced on current state of OCCT.
Problem has been solved in OCCT6.6.0.

Please integrate branch CR24424 into the occt git-repository master.
(0070177)
git (administrator)
2017-09-04 18:20

Branch CR24424 has been deleted by kgv.

SHA-1: 98359b165abc2579821713a2febec10e954f3079

- Issue History
Date Modified Username Field Change
2013-12-01 05:25 Aaron Michalk New Issue
2013-12-01 05:25 Aaron Michalk Assigned To => ifv
2013-12-01 05:25 Aaron Michalk File Added: ab.zip
2013-12-01 06:27 Aaron Michalk Note Added: 0027016
2017-07-26 18:21 git Note Added: 0068750
2017-07-26 18:22 apv Assigned To ifv => apv
2017-07-26 18:22 apv Status new => feedback
2017-07-26 18:23 apv Note Added: 0068751
2017-07-26 18:23 apv Assigned To apv => bugmaster
2017-07-26 18:23 apv Status feedback => tested
2017-07-26 18:23 apv Fixed in Version => 6.6.0
2017-07-26 18:24 apv Test case number => bugs modalg_7 bug24424
2017-07-31 11:13 bugmaster Status tested => closed
2017-07-31 11:13 bugmaster Resolution open => fixed
2017-09-04 18:20 git Note Added: 0070177


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker